/**
 * BasicOperatorType.java
 *
 * File generated from the XValidator4::BasicOperatorType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration BasicOperatorType.
 *
 */

@XmlType(name = "BasicOperatorType")
@XmlEnum
@XmlRootElement(name = "BasicOperatorType")
public enum BasicOperatorType {
	@XmlEnumValue("equal")
	EQUAL("equal", " = "),
	@XmlEnumValue("sizeGreaterOrEqual")
	SIZEGREATEROREQUAL("size Greater Or Equal", " >= "),
	@XmlEnumValue("sizeLessOrEqual")
	SIZELESSOREQUAL("size Less Or Equal", " =< "),
	@XmlEnumValue("sizeEqual")
	SIZEEQUAL("size Equal", " = "),
	@XmlEnumValue("in")
	IN("in", " in "),
	@XmlEnumValue("contain")
	CONTAIN("contain", " contain ");

	private final String value;

	private final String notation;

	BasicOperatorType(String value, String notation) {
		this.value = value;
		this.notation = notation;
	}

	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static BasicOperatorType fromValue(String v) {
		for (BasicOperatorType c : BasicOperatorType.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

	public String getNotation() {
		return notation;
	}

}